# Changelog

## [5.3.4] - 2020-01-30

### Added
- Added Swift 5.1.3 support

### Fixed
- Fixed crashing NSRangeException occurring on some devices
- Fixed bug where state remains in invited until app restart if network disabled upon submitting contact invite
- Fixed bug where the battery icon appeared over invite items on iOS 13

### Changed
- Modified the initialize method to POST instead of GET

### Removed
- Removed 32-bit targets
- Dropped some remaining iOS 9 and 10 code

[5.3.4]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.3.3...5.3.4

## [5.3.3] - 2019-10-16

### Added
- Added Support for iOS 13
- Added Swift 5.1 support
- Accessibility updates
- Added a configuration item to enable invites in landscape mode

### Fixed
- Fixed bug preventing closing of surveys with the "x" button
- Fixed bug where survey would not present if app was closed before the survey notification was tapped

### Removed
- Dropped iOS 10 support
- Replaced UIWebView usage
- Dropped support for landscape orientation on phones

[5.3.3]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.3.2...5.3.3

## [5.3.2] - 2019-08-12

### Added
- Fixed an encoding issue in CPPs
- Fixed memory leaks
- Various UI Improvements 

[5.3.2]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.3.1...5.3.2

## [5.3.1] - 2019-05-14

### Added
- Added Swift 5 Support

[5.3.1]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.3.0...5.3.1

## [5.3.0] - 2019-04-26

### Added
- Enable Modern Survey
- Improved UI on Feedback Surveys

### Fixed
- Fix warnings in framework projects
- Synchronize access to CPPs
- Fixed memory leaks

[5.3.0]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.2.1...5.3.0

## [5.2.1] - 2019-02-28

### Added
- Email-only invitation mode

### Fixed
- Automatically dismiss the survey and transition to "complete" when submitted without network
- Missing translations
- Keyboard covers submit button when entering a phone number in landscape

[5.2.1]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.2.0...5.2.1

## [5.2.0] - 2019-01-23

### Added
- Introduced Feedback module
- Support iOS 12

### Changed
- Load web pages in the native browser
- More event logging
- Update default text casing on invites

### Fixed
- State should move to complete if survey is submitted while network is disabled
- Deprecated contact details methods no longer work when setting an email address without setting a preferred type
- CONTACT mode doesn't work with custom invites

[5.2.0]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.1.0...5.2.0

## [5.1.0] - 2018-08-02

### Added
- New invite designs
- New invite configuration options (header, colors, etc)
- Support for modern notifications (UNNotificationResponse)
- Added new strings and translations for English, German, Spanish, French, and Portuguese
- Introduced new methods for providing contact details with type information
- Added product_type CPP

### Changed
- Improved localizations 
- Modified CONTACT invite flow (existing details are now pre-populated)
- Better accessibility support (large fonts, specifically)
- Deprecated custom survey views
- Deprecated handling of legacy notifications (UILocalNotification)

### Removed
- Dropped iOS 9 support
- Retired the Replay product

### Fixed
- Top portion of survey is blocked by navbar on some devices
- Cleared all warnings

[5.1.0]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.0.3...5.1.0

## [5.0.3] - 2018-04-13

### Fixed
- Mask alert controllers
- Mask callout bars
- Mask keyboards

[5.0.3]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.0.2...5.0.3

## [5.0.2] - 2018-03-14

### Added
- Re-included Replay as ForeSeeReplay.framework

[5.0.2]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.0.1...5.0.2

## [5.0.1] - 2018-03-02

### Fixed
- Revert framework project dir to ForeSee.framework for backward compatibility
- Fix other name-casing inconsistencies
- Make UserNotifications a "weak" framework
- Properly enable bitcode for fat framework
- Fix bug preventing client logos from showing on invites

[5.0.1]: https://github.com/foreseecode/foresee-sdk-ios/compare/5.0.0...5.0.1

## [5.0.0] - 2018-02-19

### Removed
- Removed ForeSee Replay, which will be released as its own product

### Fixed
- Removed all references to private APIs

[5.0.0]: https://github.com/foreseecode/foresee-sdk-ios/compare/4.3.2...5.0.0

## [4.3.2] - 2018-01-23

### Added
- Add session ID to events
- Add Notification Type to inviteShown, inviteDeclined, inviteAccepted, surveyShown

### Changed
- Update custom navbar option for new webview presentation
- Prevent caching of blacklist check data

### Removed
- Remove feature logging for CPPs

### Fixed
- Live web masking does not rotate with device
- Live webview masks do not account for autocorrect suggestions bar
- Replay doesn't work correctly when app started in landscape
- Autocorrect partially rendered in replay
- Blacklist system is incompatible with some CIDs
- Fix survey layout issues on iPhone X
- Navigation bar hides part of web view in invite links
- Navigation error quits survey
- Events array mutated while being enumerated
- Intermittent: submission fails on exit
- Survey being covered by mask in backing webview
- Front window skipped when scrolling webview
- Blacklist check should fail when JSON is badly formatted
- iOS 9 App Transport Security (ATS) issue
- Whitelist doesn't prevent links from opening apps

[4.3.2]: https://github.com/foreseecode/foresee-sdk-ios/compare/4.3.1...4.3.2

## [4.3.1] - 2017-12-12
### Changed
- Made method swizzling compatible with New Relic
- Fixed NSRangeException in Replay image creation
- Improved handling of missing contact details on custom CONTACT invites
- Found and addressed memory leaks that could cause stability issues

[4.3.1]: https://github.com/foreseecode/foresee-sdk-ios/compare/4.3...4.3.1
